PHP Manual
Prev |  | Next

# ps_hyphenate

(PECL)

ps_hyphenate -- Hyphenates a word

## Description

array ps_hyphenate ( resource psdoc, string text )

Hyphenates the passed word. ps_hyphenate() evaluates the value hyphenminchars and the parameter hyphendict. hyphendict must be set before calling this function.

This function requires the locale category LC_CTYPE to be set properly. This is done when the extension is initialized by using the environment variables. On Unix systems read the man page of locale.

## Parameters

psdoc

text

  text should not contain any non alpha characters. Possible positions for breaks are returned in an array of interger numbers. Each number is the position of the char in text after which a hyphenation can take place.

## See Also

ps_show_boxed()
locale(1)

Prev | Home | Next
ps_get_value | Up | ps_lineto